VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::Service Interface Reference

The `Service` interface provides methods to retrieve privilege information of a service element. More...

Inherited by vmware::vapi::metadata::privilege::ServiceStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the service elements that have privilege information.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the service elements that have privilege information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the service elements that have privilege information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the service elements that have privilege information.
vmware.vapi.metadata.privilege.ServiceInfo | Get (string serviceId)
| Retrieves privilege information about the service element corresponding to serviceId .
vmware.vapi.metadata.privilege.ServiceInfo | Get (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves privilege information about the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.privilege.ServiceInfo > | GetAsync (string serviceId)
| Retrieves privilege information about the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.privilege.ServiceInfo > | GetAsync (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves privilege information about the service element corresponding to serviceId .

## Detailed Description

The `Service` interface provides methods to retrieve privilege information of a service element.

A service element is said to contain privilege information if one of the operation elements contained in this service element has privilege information.

## Member Function Documentation

vmware.vapi.metadata.privilege.ServiceInfo vmware::vapi::metadata::privilege::Service::Get | ( | string | serviceId | ) |

Retrieves privilege information about the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implemented in vmware::vapi::metadata::privilege::ServiceStub.

vmware.vapi.metadata.privilege.ServiceInfo vmware::vapi::metadata::privilege::Service::Get | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves privilege information about the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implemented in vmware::vapi::metadata::privilege::ServiceStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.privilege.ServiceInfo> vmware::vapi::metadata::privilege::Service::GetAsync | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves privilege information about the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implemented in vmware::vapi::metadata::privilege::ServiceStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.privilege.ServiceInfo> vmware::vapi::metadata::privilege::Service::GetAsync | ( | string | serviceId | ) |

Retrieves privilege information about the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implemented in vmware::vapi::metadata::privilege::ServiceStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::Service::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the service elements that have privilege information.

Returns:
  The list of identifiers for the service elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implemented in vmware::vapi::metadata::privilege::ServiceStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::Service::List | ( |  | ) |

Returns the identifiers for the service elements that have privilege information.

Returns:
  The list of identifiers for the service elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implemented in vmware::vapi::metadata::privilege::ServiceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::privilege::Service::ListAsync | ( |  | ) |

Returns the identifiers for the service elements that have privilege information.

Returns:
  The list of identifiers for the service elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implemented in vmware::vapi::metadata::privilege::ServiceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::privilege::Service::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the service elements that have privilege information.

Returns:
  The list of identifiers for the service elements that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implemented in vmware::vapi::metadata::privilege::ServiceStub.

The documentation for this interface was generated from the following file:

- vapi/metadata/privilege/Service.cs